NXWidgets: NXWidgets::CWindowEventHandlerList Class Reference

NXWidgets 1.19

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NXWidgets::CWindowEventHandlerList Class Reference

`#include <cwindoweventhandlerlist.hxx>`

## Public Member Functions
| CWindowEventHandlerList (void)
| ~CWindowEventHandlerList (void)
CWindowEventHandler * | at (const int index) const
const nxgl_coord_t | size (void) const
void | addWindowEventHandler (CWindowEventHandler *eventHandler)
void | removeWindowEventHandler (CWindowEventHandler *eventHandler)
void | raiseRedrawEvent (void)
void | raiseGeometryEvent (void)
void | raiseMouseEvent (void)
void | raiseKeyboardEvent (void)
void | raiseBlockedEvent (FAR void *arg)

## Protected Member Functions
bool | findWindowEventHandler (CWindowEventHandler *eventHandler, int &index)

## Protected Attributes
TNxArray< CWindowEventHandler * > | m_eventHandlers

## Detailed Description

List of window event handlers.

Definition at line 70 of file cwindoweventhandlerlist.hxx.

## Constructor & Destructor Documentation

## ◆ CWindowEventHandlerList()

NXWidgets::CWindowEventHandlerList::CWindowEventHandlerList | ( | void |  | ) |
| inline

Constructor.

Parameters

  widget | The owning widget.

Definition at line 89 of file cwindoweventhandlerlist.hxx.

## ◆ ~CWindowEventHandlerList()

NXWidgets::CWindowEventHandlerList::~CWindowEventHandlerList | ( | void |  | ) |
| inline

Destructor.

Definition at line 95 of file cwindoweventhandlerlist.hxx.

## Member Function Documentation

## ◆ addWindowEventHandler()

void CWindowEventHandlerList::addWindowEventHandler | ( | CWindowEventHandler * | eventHandler | ) |

Adds a window event handler. The event handler will receive all events raised by this object.

Parameters

  eventHandler | A pointer to the event handler.

Definition at line 61 of file cwindoweventhandlerlist.cxx.

## ◆ at()

CWindowEventHandler* NXWidgets::CWindowEventHandlerList::at | ( | const int | index | ) | const
| inline

Get the event handler at the specified index.

Parameters

  index | The index of the event handler.

Returns
  The event handler at the specified index.

Definition at line 104 of file cwindoweventhandlerlist.hxx.

## ◆ findWindowEventHandler()

bool CWindowEventHandlerList::findWindowEventHandler | ( | CWindowEventHandler * | eventHandler,
|  | int & | index
| ) |  |
| protected

Return the index to the window event handler.

Definition at line 97 of file cwindoweventhandlerlist.cxx.

## ◆ raiseBlockedEvent()

void CWindowEventHandlerList::raiseBlockedEvent | ( | FAR void * | arg | ) |

Raise an NX window blocked event.

Parameters

  arg | - User provided argument (see nx_block or nxtk_block)

Definition at line 169 of file cwindoweventhandlerlist.cxx.

## ◆ raiseGeometryEvent()

void CWindowEventHandlerList::raiseGeometryEvent | ( | void |  | ) |

Raise an NX window position/size change event.

Definition at line 127 of file cwindoweventhandlerlist.cxx.

## ◆ raiseKeyboardEvent()

void CWindowEventHandlerList::raiseKeyboardEvent | ( | void |  | ) |

Raise an NX keybord input event

Definition at line 154 of file cwindoweventhandlerlist.cxx.

## ◆ raiseMouseEvent()

void CWindowEventHandlerList::raiseMouseEvent | ( | void |  | ) |

Raise an NX mouse window input event.

Definition at line 140 of file cwindoweventhandlerlist.cxx.

## ◆ raiseRedrawEvent()

void CWindowEventHandlerList::raiseRedrawEvent | ( | void |  | ) |

Raise the NX window redraw event.

Definition at line 115 of file cwindoweventhandlerlist.cxx.

## ◆ removeWindowEventHandler()

void CWindowEventHandlerList::removeWindowEventHandler | ( | CWindowEventHandler * | eventHandler | ) |

Remove a window event handler.

Parameters

  eventHandler | A pointer to the event handler to remove.

Definition at line 80 of file cwindoweventhandlerlist.cxx.

## ◆ size()

const nxgl_coord_t NXWidgets::CWindowEventHandlerList::size | ( | void |  | ) | const
| inline

Get the size of the array.

Returns
  The size of the array.

Definition at line 115 of file cwindoweventhandlerlist.hxx.

## Member Data Documentation

## ◆ m_eventHandlers

TNxArray<CWindowEventHandler*> NXWidgets::CWindowEventHandlerList::m_eventHandlers
| protected

List of event handlers

Definition at line 73 of file cwindoweventhandlerlist.hxx.

The documentation for this class was generated from the following files:

- cwindoweventhandlerlist.hxx
- cwindoweventhandlerlist.cxx